[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# InvalidDateWeekError

Raise an EConvertError with an invalid Year, WeekOfyear and DayOfWeek specification

## Declaration

Source position: dateutil.inc line 404

`procedure InvalidDateWeekError(`
`const AYear: Word;`
`const AWeekOfYear: Word;`
`const ADayOfWeek: Word`
`);`

## Arguments

`AYear` |  | The year
`AWeekOfYear` |  | The week
`ADayOfWeek` |  | The day of the week

## Description

InvalidDateWeekError raises an EConvertError exception and formats the error message with an appropriate description made up from the parts AYear, AWeek, ADayOfWeek

Normally this function should not be needed, the conversion routines call it when they have received invalid arguments.

## See also

InvalidDateTimeError |  | Raise an EConvertError about an invalid date-time specification.
InvalidDateDayError |  | Raise an EConvertError exception when a day is not a valid day of a year.
InvalidDateMonthWeekError |  | Raise an EConvertError exception when a Year,Month,WeekOfMonth,DayofWeek is invalid.
InvalidDayOfWeekInMonthError |  | Raise an EConvertError exception when a Year,Month,NthDayofWeek,DayofWeek is invalid.